### Class method

# Foundry ServiceClass install_action

#### Declaration [src]

    void
    foundry_service_class_install_action (
      FoundryServiceClass* service_class,
      const char* action_name,
      const char* parameter_type,
      FoundryServiceAction activate
    )

#### Description

No description available.

#### Parameters

`action_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter_type`

  Type: `const char*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`activate`

  Type: `FoundryServiceAction`

  No description available.